> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/es/aplicaciones/components/data-display/icon.md).

# Icono

Añada iconos de FontAwesome a las aplicaciones de PowerShell Universal con New-UDIcon, con búsqueda de iconos, tamaño, rotación, bordes y opciones de estilo CSS personalizado.

Iconos de [FontAwesome ](https://fontawesome.com/?from=io)para incluir en su aplicación. Los nombres de los iconos son ligeramente diferentes de los que se muestran en el sitio web de FontAwesome. Por ejemplo, si quiere usar el icono `network-wired`, utilizaría la siguiente cadena.

```powershell
New-UDIcon -Icon 'NetworkWired'
```

## Encontrar un icono

Incluimos FontAwesome v6 con PowerShell Universal. Puede usar `Find-UDIcon` para buscar en la lista de iconos incluidos.

```powershell
Find-UDIcon User
```

{% hint style="warning" %}
La enumeración `UniversalDashboard.FontAwesomeIcons` no debe utilizarse y solo se incluye por compatibilidad con versiones anteriores. Muchos de los iconos ya no forman parte de FontAwesome 6.
{% endhint %}

## Icono

Cree iconos especificando sus nombres. Puede usar la referencia de iconos que aparece a continuación para encontrar iconos.

```powershell
New-UDIcon -Icon 'AddressBook'
```

## Tamaño

Establece el tamaño del icono. Los valores válidos son: `xs`, `sm`, `lg`, `2x`, `3x`, `4x`, `5x`, `6x`, `7x`, `8x`, `9x`, `10x`

```powershell
    New-UDIcon -Icon 'AddressBook' -Size 'sm'
    New-UDIcon -Icon 'AddressBook' -Size 'lg'
    New-UDIcon -Icon 'AddressBook' -Size '5x'
    New-UDIcon -Icon 'AddressBook' -Size '10x'
```

## Rotación

Rota los iconos. El valor representa los grados de rotación.

```powershell
New-UDIcon -Icon 'AddressBook' -Size '5x' -Rotation 90
```

## Borde

Añada un borde a su icono.

```powershell
New-UDIcon -Icon 'AddressBook' -Size '5x' -Border
```

## Estilo

Aplique estilos CSS a su icono.

```powershell
New-UDIcon -Icon 'AddressBook' -Size '5x' -Style @{
    backgroundColor = "red"
}
```

## Buscar iconos visualmente

```powershell
New-UDTextbox -Id 'txtIconSearch' -Label 'Search' 
New-UDButton -Text 'Search' -OnClick {
    Sync-UDElement -Id 'icons'
}

New-UDElement -tag 'p' -Content {}

New-UDDynamic -Id 'icons' -Content {
    $IconSearch = (Get-UDElement -Id 'txtIconSearch').value
    if ($null -ne $IconSearch -and $IconSearch -ne '')
    {
        $Icons =$Icons = Find-UDIcon -Name $IconSearch
    }

    foreach($icon in $icons) {
        try{
            New-UDChip -Label $icon -Icon (New-UDIcon -Icon $icon)
        }
        catch{
            New-UDChip -Label "$icon Unknown" 
        }
    }
}
```

## Lista completa de iconos

[Haga clic aquí para ver la lista completa de iconos.](https://gist.github.com/adamdriscoll/8a5d12b0ac5641bc1083bebf921f56fe)

## API

[**New-UDIcon**](/powershell-universal/es/comandos-de-powershell/new-udicon.md)

### Véase también

* [Devolutions Academy – Fetching user details](https://academy.devolutions.net/student/activity/3543018-part-3-fetching-user-details)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/es/aplicaciones/components/data-display/icon.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
